Bug 1015080 - Exception thrown on import vm failure
Exception thrown on import vm failure
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.2
Assigned To: Arik
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 08:29 EDT by Arik
Modified: 2013-12-19 09:24 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-19 09:24:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (531.14 KB, application/zip)
2013-10-03 08:32 EDT, Arik
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 19769 None None None Never

  None (edit)
Description Arik 2013-10-03 08:29:42 EDT
Description of problem:
unsupported operation exception is thrown when import vm that has snapshots with memory fails (missing implementation for CommandBase#getTaskType at ImportVmCommand cause this exception when it invokes DeleteImageGroupVdsCommand which creates task).

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Import VM that has snapshot that contains memory state.
2. Cause the migration to fail.
3.

Actual results:
Unsupported operation exception appears in the engine log.

Expected results:
Rollback is executed without any exception.

Additional info:
Comment 1 Arik 2013-10-03 08:32:30 EDT
Created attachment 807073 [details]
logs
Comment 2 Sandro Bonazzola 2013-12-13 11:02:14 EST
rc build done, moving to ON_QA, packages will be available on updates-testing repository.
Comment 3 Sandro Bonazzola 2013-12-19 09:24:54 EST
oVirt 3.3.2 has been released resolving the problem described in this bug report.

Note You need to log in before you can comment on or make changes to this bug.